# $Revision: 1.4 $, $Date: 2005/02/06 20:20:44 $
Summary:	JPEG/TIFF image probe
Summary(pl):	Sprawdzanie informacji o obrazach JPEG/TIFF
Name:		exifprobe
Version:	1.2.6
Release:	1
License:	BSD
Group:		Applications/Multimedia
Source0:	http://www.virtual-cafe.com/~dhh/tools.d/exifprobe.d/%{name}-%{version}.tar.gz
# Source0-md5:	187ac0389abcaf93a40c6b8199169b4c
URL:		http://www.virtual-cafe.com/~dhh/tools.d/exifprobe.d/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Exifprobe examines and reports the contents and structure of JPEG and
TIFF image files. It will recognize all standard JPEG markers
(including APPn markers) and will report the contents of any properly
structured TIFF IFD encountered, even when entry tags are not
recognized. Recognized TIFF and TIFF/EP tags are expanded, including
EXIF2.2 sections and camera MakerNotes which are found to be in TIFF
IFD format. GPS and GeoTIFF tags are recognized and entries printed in
"raw" form, but are not expanded. Location, size, and format of image
data is reported.

%description -l pl
Exifprobe sprawdza i podaje zawarto i struktur plikw obrazw JPEG
i TIFF. Rozpoznaje wszystkie standardowe znaczniki JPEG (wcznie z
APPn) i podaje zawarto kadego prawidowo zbudowanego TIFF IFD,
nawet jeli nie rozpoznano znacznikw. Rozpoznawane znaczniki TIFF i
TIFF/EP s rozwijane, w tym sekcje EXIT2.2 i MakerNotes z aparatw,
ktre mona znale w plikach w formacie TIFF IFD. Znaczniki GPS i
GeoTIFF s rozpoznawane i wypisywane w postaci surowej, ale nie
rozwijane. Podawane jest pooenie, rozmiar i format danych obrazu.

%prep
%setup -q

%build
%{__make} \
	CC=%{__cc} \
	CFLAGS="%{rpmcflags} -DCOLOR -Wall -Wno-unused -Wno-parentheses -Wno-trigraphs"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

%{__make} install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CAMERA_makes_and_models CREDITS DESCRIPTION *.html
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*1.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: exifprobe.spec,v $
Revision 1.4  2005/02/06 20:20:44  adamg
- updated to 1.2.6
- Source0, URL addresses updated

Revision 1.3  2004/12/14 17:55:54  darekr
- updated to 1.2.5

Revision 1.2  2004/09/08 18:02:52  qboosh
- pl

Revision 1.1  2004/09/07 11:00:41  blues
- works nice
